package ur;

import java.io.*;
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class DevicesScreen extends List implements CommandListener
{
    public DevicesScreen()
    {
	super("Devices", List.IMPLICIT);

	if (Devices.mNumDevicesAdded < Devices.mMaxNumDevices)
	{
	    append("Add Devices...",    null);
	    mAddIndex = mIndex++;
	}
	if (Devices.mNumDevicesAdded > 0)
	{
	    append("Remove Devices...", null);
	    mRemoveIndex = mIndex++;
	}
	append("Television Options", null);
	mTVIndex = mIndex++;
	if (Devices.mVCRAdded)
	{
	    mVCRIndex = mIndex++;
	    append("VCR Options", null);
	}
	if (Devices.mDVDAdded)
	{
	    mDVDIndex = mIndex++;
	    append("DVD Options", null);
	}
	if (Devices.mAmpAdded)
	{
	    mAmpIndex = mIndex++;
	    append("Amplifier Options", null);
	}
	if (mIndex > 2)
	{
	    mRemoteIndex = mIndex++;
	    append("Remote Startup Options", null);
	}

        addCommand(mBack);

        setCommandListener(this);
    }

    public void commandAction(Command c, Displayable d)
    {
        if (c == List.SELECT_COMMAND)
        {
	    int di = getSelectedIndex();
            if (getSelectedIndex() == mAddIndex)
	    {
		mAddDevicesScreen.refresh();
                Main.setDisplay(mAddDevicesScreen);
	    }
            else if (getSelectedIndex() == mRemoveIndex)
	    {
		mRemoveDevicesScreen.refresh();
                Main.setDisplay(mRemoveDevicesScreen);
	    }
	    else if (getSelectedIndex() == mTVIndex)
		Main.setDisplay(mTVScreen);
	    else if (di == mVCRIndex)
		Main.setDisplay(mVCRScreen);
	    else if (di == mDVDIndex)
		Main.setDisplay(mDVDScreen);
	    else if (di == mRemoteIndex)
	    {
		mRemoteScreen.refresh();
		Main.setDisplay(mRemoteScreen);
	    }
	    else if (di == mAmpIndex)
	    {
		mAmpScreen.refresh();
		Main.setDisplay(mAmpScreen);
	    }
	}
        else if (c == mBack)
            Main.goHome();
    }

    int mIndex    = 0;
    int mAddIndex = -1;
    int mRemoveIndex = -1;
    int mTVIndex = -1;
    int mVCRIndex = -1;
    int mDVDIndex = -1;
    int mRemoteIndex = -1;
    int mAmpIndex = -1;

    private Command mBack = new Command("Back", Command.BACK, 1);

    static private AddDevicesScreen  mAddDevicesScreen  = new AddDevicesScreen();
    static private RemoveDevicesScreen  mRemoveDevicesScreen  = new RemoveDevicesScreen();
    static private TVScreen  mTVScreen  = new TVScreen();
    static private VCRScreen mVCRScreen = new VCRScreen();
    static private DVDScreen mDVDScreen = new DVDScreen();
    static private AmpScreen mAmpScreen = new AmpScreen();
    static private RemoteScreen mRemoteScreen = new RemoteScreen();
}
