package ur;

import java.io.*;
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class VCRScreen extends Form implements CommandListener
{
    public VCRScreen()
    {
	super("VCR");
	setCommandListener(this);
	addCommand(mHome);
	addCommand(mBack);

	// Create the video options section
	mInput = new ChoiceGroup("Input", ChoiceGroup.EXCLUSIVE);
	mInput.append("RCA1", null);
	mInput.append("RCA2", null);

	mTapeSpeed = new ChoiceGroup("Tape Speed", ChoiceGroup.EXCLUSIVE);
	mTapeSpeed.append("SP", null);
	mTapeSpeed.append("LP", null);

	mRecordDate = new DateField("Record Date", DateField.DATE);
	mStartTime  = new DateField("Start Time",  DateField.TIME);
	mStopTime   = new DateField("Stop Time",   DateField.TIME);
	
	append(mInput);
	append(mTapeSpeed);
	append(mRecordDate);
	append(mStartTime);
	append(mStopTime);
    }

    public void commandAction(Command c, Displayable d)
    {
        if (c == mBack)
            Main.goDevices();
	if (c == mHome)
            Main.goHome();
    }

    private Command     mHome = new Command("Home", Command.SCREEN, 1);
    private Command     mBack = new Command("Back", Command.SCREEN, 1);
    private ChoiceGroup mInput;
    private ChoiceGroup mTapeSpeed;
    private DateField   mRecordDate;
    private DateField   mStartTime;
    private DateField   mStopTime;
}
