package ur;

import java.io.*;
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class DVDScreen extends Form implements CommandListener
{
    public DVDScreen()
    {
	super("DVD");
	setCommandListener(this);
	addCommand(mHome);
	addCommand(mBack);

	mScreenFormat = new ChoiceGroup("Screen Format", ChoiceGroup.EXCLUSIVE);
	mScreenFormat.append("Widescreen", null);
	mScreenFormat.append("Pan-and-Scan", null);

	mSubtitle = new ChoiceGroup("Subtitles", ChoiceGroup.EXCLUSIVE);
	mSubtitle.append("On", null);
	mSubtitle.append("Off", null);

	mLanguageOptions = new ChoiceGroup("Subtitle Language", ChoiceGroup.EXCLUSIVE);
	mLanguageOptions.append("English",null);
	mLanguageOptions.append("Spanish",null);
	mLanguageOptions.append("Japanese",null);
	mLanguageOptions.append("German",null);
	mLanguageOptions.append("Klingon",null);

	mProgScan = new ChoiceGroup("Progressive Scan", ChoiceGroup.EXCLUSIVE);
	mProgScan.append("On", null);
	mProgScan.append("Off", null);

	append(mScreenFormat);
	append(mSubtitle);
	append(mLanguageOptions);
	append(mProgScan);
    }

    public void commandAction(Command c, Displayable d)
    {
        if (c == mBack)
            Main.goDevices();
	if (c == mHome)
            Main.goHome();
    }

    private Command     mHome = new Command("Home", Command.SCREEN, 1);
    private Command     mBack = new Command("Back", Command.SCREEN, 1);
    private ChoiceGroup mScreenFormat;
    private ChoiceGroup mSubtitle;
    private ChoiceGroup mLanguageOptions;
    private ChoiceGroup mProgScan;
}
