package ur;

import java.io.*;
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class TVScreen extends Form implements CommandListener
{
    public TVScreen()
    {
	super("Television");
	setCommandListener(this);

	// Create the video options section
	mVideoLabel = new StringItem("Video Options",null);
	mContrast = new Gauge("Contrast", true, 99, 50);
	mBrightness = new Gauge("Brightness", true, 99, 50);
	mSharpness = new Gauge("Sharpness", true, 99, 50);
	mColor = new Gauge("Color", true, 99, 50);
	mTint = new Gauge("Tint", true, 99, 50);

	append(mVideoLabel);
	append(mContrast);
	append(mBrightness);
	append(mSharpness);
	append(mColor);
	append(mTint);

	// Create the audio options section
	mAudioLabel = new StringItem("Audio Options",null);

	mSpeakerOptions = new ChoiceGroup("Speaker Setup", ChoiceGroup.EXCLUSIVE);
	mSpeakerOptions.append("Mono",null);
	mSpeakerOptions.append("Stereo",null);
	mSpeakerOptions.append("Dolby Surround",null);

	append(mAudioLabel);
	append(mSpeakerOptions);

	// Create the other options section
	mOtherLabel = new StringItem("Further Options",null);

	mCaptionOptions = new ChoiceGroup("Captions", ChoiceGroup.EXCLUSIVE);
	mCaptionOptions.append("On",null);
	mCaptionOptions.append("Off",null);

	mLanguageOptions = new ChoiceGroup("TV Menu Language", ChoiceGroup.EXCLUSIVE);
	mLanguageOptions.append("English",null);
	mLanguageOptions.append("Spanish",null);
	mLanguageOptions.append("Japanese",null);
	mLanguageOptions.append("German",null);
	mLanguageOptions.append("Klingon",null);

	mClockSet = new DateField("Clock Set",DateField.DATE_TIME);
	
	append(mOtherLabel);
	append(mCaptionOptions);
	append(mLanguageOptions);
	append(mClockSet);
	
	mChannelScan = new Command("Scan",Command.SCREEN,1);
	addCommand(mHome);
	addCommand(mBack);
	addCommand(mChannelScan);
    }

    public void commandAction(Command c, Displayable d)
    {
        if (c == mBack)
            Main.goDevices();
	if (c == mHome)
            Main.goHome();
    }

    private Gauge       mContrast;
    private Gauge       mBrightness;
    private Gauge       mSharpness;
    private Gauge       mColor;
    private Gauge       mTint;
    private StringItem  mVideoLabel;
    private StringItem  mAudioLabel;
    private StringItem  mOtherLabel;
    private ChoiceGroup mSpeakerOptions;
    private ChoiceGroup mCaptionOptions;
    private ChoiceGroup mLanguageOptions;
    private DateField   mClockSet;
    private Command     mChannelScan;
    private Command     mHome = new Command("Home", Command.SCREEN, 1);
    private Command     mBack = new Command("Back", Command.SCREEN, 1);
}
